use odem_rs::prelude::*;

async fn sim_main(sim: &Sim, duration: f64) {
	while sim.now() < duration {
		sim.advance(1.0).await;
	}
}

pub fn clock(duration: Time<f64>) {
	simulation(async |sim| {
		sim_main(sim, duration.get::<uom::si::time::second>()).await
	}).ok();
}
