use crate::RandomVariable;

mod ffi {
	use std::os::raw::c_uint;

	#[link(name = "odemx-examples", kind = "static")]
	extern "C" {
		pub fn philosophers(count: c_uint, reruns: c_uint) -> super::RandomVariable;
	}
}

pub fn philosophers(count: usize, reruns: usize) -> impl std::fmt::Debug {
	unsafe { ffi::philosophers(count as _, reruns as _) }
}
