#ifndef MAIN_H_INCLUDED
#define MAIN_H_INCLUDED

#include <windows.h>
#include "slxdll.h"

#ifdef __cplusplus
extern "C"
{
#endif

enum class MultiplotLayout
{
	SQUARE,
	STACK,
	LIST
};

EXPORT CDECL void
Connect(SLXTransferVector* slx);

EXPORT CDECL void
PlotToFile(const string_header* fin, int columns, int blocks,
           const string_header* fout, const string_header* fplot, SLXBOOL show);

#ifdef __cplusplus
}
#endif

#endif // MAIN_H_INCLUDED
