use simcore_rs::*;

async fn sim_main(sim: Sim<'_>, duration: Time) {
	while sim.now() < duration {
		sim.advance(1.0).await;
	}
}

pub fn clock(duration: uom::si::f64::Time) {
	simulation((), |sim| {
		Process::new(sim, sim_main(sim, duration.get::<uom::si::time::second>()))
	});
}
